org.apache.ignite.internal.visor.node

## Class VisorServiceConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorServiceConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorServiceConfiguration
    extends VisorDataTransferObject

Data transfer object for configuration of service data structures.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorServiceConfiguration()` Default constructor.
`VisorServiceConfiguration(ServiceConfiguration src)` Create data transfer object for service configuration.

### Method Summary

Methods
`String` `getAffinityKey()`
`String` `getCacheName()`
`int` `getMaxPerNodeCount()`
`String` `getName()`
`String` `getNodeFilter()`
`String` `getService()`
`int` `getTotalCount()`
`static List<VisorServiceConfiguration>` `list(ServiceConfiguration[] cfgs)` Construct data transfer object for service configurations properties.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorServiceConfiguration

    public VisorServiceConfiguration()

Default constructor.

#### VisorServiceConfiguration

    public VisorServiceConfiguration(ServiceConfiguration src)

Create data transfer object for service configuration.

Parameters:
  `src` - Service configuration.

### Method Detail

#### list

    public static List<VisorServiceConfiguration> list(ServiceConfiguration[] cfgs)

Construct data transfer object for service configurations properties.

Parameters:
  `cfgs` - Service configurations.
Returns:
  Service configurations properties.

#### getName

    public String getName()

Returns:
  Service name.

#### getService

    public String getService()

Returns:
  Service instance.

#### getTotalCount

    public int getTotalCount()

Returns:
  Total number of deployed service instances in the cluster, `0` for unlimited.

#### getMaxPerNodeCount

    public int getMaxPerNodeCount()

Returns:
  Maximum number of deployed service instances on each node, `0` for unlimited.

#### getCacheName

    public String getCacheName()

Returns:
  Cache name, possibly `null`.

#### getAffinityKey

    public String getAffinityKey()

Returns:
  Affinity key, possibly `null`.

#### getNodeFilter

    public String getNodeFilter()

Returns:
  Node filter used to filter nodes on which the service will be deployed, possibly `null`.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017